import type { NobjcObject } from "objc-js";
import type { _NSAppleEventDescriptor } from "../Foundation/NSAppleEventDescriptor.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _OSALanguageInstance } from "./OSALanguageInstance.js";
import type { OSALanguageFeatures } from "./OSALanguageFeatures.js";
export declare class _OSALanguage extends _NSObject {
    static alloc(): _OSALanguage;
    static new(): _OSALanguage;
    init(): _OSALanguage;
    /** Class Methods */
    static availableLanguages(): _NSArray;
    static languageForName$(name: _NSString): _OSALanguage | null;
    static languageForScriptDataDescriptor$(descriptor: _NSAppleEventDescriptor): _OSALanguage | null;
    static defaultLanguage(): _OSALanguage | null;
    static setDefaultLanguage$(defaultLanguage: _OSALanguage): void;
    /** Construction */
    initWithComponent$(component: NobjcObject): _OSALanguage;
    /** Accessors */
    sharedLanguageInstance(): _OSALanguageInstance;
    componentInstance(): NobjcObject;
    name(): _NSString | null;
    info(): _NSString | null;
    type(): number;
    subType(): number;
    manufacturer(): number;
    features(): OSALanguageFeatures;
    threadSafe(): boolean;
}
